using System.Collections;
using System.Collections.Generic;
using UnityEngine;

#if ByteDanceAd
public class UnionADTEST : MonoBehaviour
{
    // Start is called before the first frame update
    void Start()
    {
        UnionAdManager.instance.AllADsInit();
        Invoke("ShowBanner", 3);
    }

    // Update is called once per frame
    void ShowBanner()
    {
        UnionAdManager.instance.ShowExpressBannerAd();
    }

    public void ShowFull()
    {
        UnionAdManager.instance.ShowFullScreenVideoAd(null,null);
    }

    public void ShowReward()
    {
        UnionAdManager.instance.ShowRewardAd(()=> {
            //播放视频完毕 给与奖励
        },null);
    }

    public void ShowInter()
    {
        UnionAdManager.instance.ShowExpressInterstitialAd();
    }

    public void ClearAD()
    {
        UnionAdManager.instance.DisposeAds();
    }
}
#endif